summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-08-15 11:26:22 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-08-15 11:26:22 +0200
commit2e773795961109f05266108fd0d746f64b784461 (patch)
tree1cfb00204cccc9f5de5ff1873a3fec2df62e112c /media-sound
parentmedia-sound/mp3splt: Bump to 2.6.2 (diff)
downloadgentoo-2e773795961109f05266108fd0d746f64b784461.tar.gz
gentoo-2e773795961109f05266108fd0d746f64b784461.tar.bz2
gentoo-2e773795961109f05266108fd0d746f64b784461.zip
media-sound/mp3splt-gtk: Bump to 0.9.2
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/mp3splt-gtk/Manifest1
-rw-r--r--media-sound/mp3splt-gtk/mp3splt-gtk-0.9.2.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/media-sound/mp3splt-gtk/Manifest b/media-sound/mp3splt-gtk/Manifest
index da15baab4b8..4e13bef7eb7 100644
--- a/media-sound/mp3splt-gtk/Manifest
+++ b/media-sound/mp3splt-gtk/Manifest
@@ -1,4 +1,5 @@
DIST mp3splt-gtk-0.7.3.tar.gz 1166328 SHA256 7300383453ca8d3268776163e2afb9b03a0d907d2f29ec6fc1826b41679d4e1c SHA512 070d9aabfe3eed77f596051b2a750dff3a36f1a37e233d6d6498dae4688a48770a87730b3c2e9c1c775a28e834590d84027030fd6f994ffa890c685c9f8bd809 WHIRLPOOL e0b42f51a552d0b372054b5a55d6f1e9e3ee35f20363999bfcb7a34436515a831f3b20b4ca40723cd5614b63e405e46530621d16167954c986f320f8876b9cc0
DIST mp3splt-gtk-0.9.1.tar.gz 1079894 SHA256 3c9db4b6ec26cd55c91b7fe30b8b6236555b95012cd8abdc4c949e6ae45c8194 SHA512 7596e8341b8cd5f0592f310665bd178d04e8c46b43e51a2df4fb0d6acac64e5be66aeb58f072acbbf9597578c5126f28eb3734e8d24e020669db7b2b94ef6a65 WHIRLPOOL ce701110d5c855c1872ca1c83aa7e13c8e95c307e9cea43545a9d77017dac1c13c7bddaaf129ba00ef6be8f2f4a1a3aae57e29df7b3361830a54643d0bfa85fc
DIST mp3splt-gtk-0.9.1a.tar.gz 1079260 SHA256 5fc242870f1690a2e27b5bea8b13bb4f7ede1e4cb212f9d9bccd9502a734f718 SHA512 9eea51063350d7644a96150332a3e88a35ba5e94bda07043d03dc93fe1b6ff656e55f8d7e564248d54004e44e0f9f4677c63a456a8a65a18be63417e47b524aa WHIRLPOOL 75e7c3c87d60fd0d4dead656cab4560dc13a69c70a18de776127875fff6804e92c7311d60f88a9115d7bbfab66d22718e6de334480e7faab9017f94a03131afd
+DIST mp3splt-gtk-0.9.2.tar.gz 1070580 SHA256 2084cc942b5d1aa6ff74848a41d05cb37876cbc74dfdc341ceb424c763887650 SHA512 e837cbc0759cd6535fc466099a170d066ab72b4854f8546f524261fe660887f5d2add60d9fa1e19d68d811004c682a324b5bcba86aa8cb89ae1ad2bc2f9b1d9d WHIRLPOOL fbf430cb2ca087d2ebc9b1d98a2f9b693c14a84bc3714bf7968c75d9d9430099c84f8f884485c71b41cb9a70ba531ec80e9131e19342d033f89d4c14f7c6c15c
DIST mp3splt-gtk-0.9.tar.gz 1061200 SHA256 6262cf61f74bfb1cac5d5bdf6c3ad41fece221f7fb66032ae633835044aecff5 SHA512 0966e08fb8aef75feb6d3ffea7377ce39376739b1c6d97cb5729e627829d99e0b56011d625cfea26c76a39f7a2ff2a941fef92b4ab85a9c83f99ef1c55c6a87f WHIRLPOOL 14d64a728364139fabfe4851886fc0bdc98121f2ef8c8642f9d30b37cfdf143b3e8434aaac600fda0c80d38afdb8f13a2423e53904cc0cf446d187193d426bf4
diff --git a/media-sound/mp3splt-gtk/mp3splt-gtk-0.9.2.ebuild b/media-sound/mp3splt-gtk/mp3splt-gtk-0.9.2.ebuild
new file mode 100644
index 00000000000..798d63469b3
--- /dev/null
+++ b/media-sound/mp3splt-gtk/mp3splt-gtk-0.9.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils versionator autotools multilib
+
+DESCRIPTION="a GTK+ based utility to split mp3 and ogg files without decoding"
+HOMEPAGE="http://mp3splt.sourceforge.net"
+SRC_URI="mirror://sourceforge/mp3splt/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="audacious doc gnome gstreamer nls"
+
+RDEPEND="~media-libs/libmp3splt-0.9.2
+ x11-libs/gtk+:3
+ audacious? ( >=media-sound/audacious-3.0 )
+ !audacious? ( dev-libs/dbus-glib )
+ gstreamer? ( media-libs/gstreamer:1.0
+ media-plugins/gst-plugins-meta:1.0[mp3] )
+ gnome? ( gnome-base/libgnomeui )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ gnome? ( app-text/gnome-doc-utils app-text/rarian )
+ nls? ( sys-devel/gettext )"
+
+src_prepare() {
+ if use audacious; then
+ sed -i \
+ -e 's:@AUDACIOUS_LIBS@:-laudclient &:' \
+ src/Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+
+ use nls || myconf+=" --disable-nls"
+ use audacious || myconf+=" --disable-audacious"
+ use gstreamer || myconf+=" --disable-gstreamer"
+
+ econf \
+ --disable-dependency-tracking \
+ $(use_enable gnome) \
+ $(use_enable doc doxygen_doc) \
+ --disable-cutter \
+ ${myconf}
+}
+
+src_install() {
+ default
+ dodoc AUTHORS ChangeLog NEWS README
+}